KVNO(1)

NAME
kvno - print key version numbers of Kerberos principals

SYNOPSIS
kvno [-q] [-h] [-4 | [-c ccache] [-e etype]] service1 service2 ...

DESCRIPTION
Kvno acquires a service ticket for the specified Kerberos principals and prints out the key version numbers of each.

OPTIONS

-c ccache
    specifies the name of a credentials cache to use (if not the default)

-e etype
    specifies the enctype which will be requested for the session key of all the services named on the command line. This is useful in certain backward compatibility situations.

-q  suppress printing

-h  prints a usage statement and exits

-4  specifies that Kerberos version 4 tickets should be acquired and described. This option is only available if Kerberos 4 support was enabled at compilation time.

ENVIRONMENT
Kvno uses the following environment variable:

KRB5CCNAME
    Location of the credentials (ticket) cache.

KRBTKFILE
    Location of the v4 ticket file.

FILES

/tmp/krb5cc_[uid]
    default location of the credentials cache ([uid] is the decimal UID of the user).

/tmp/tkt[uid]
    default location of the v4 ticket file.

SEE ALSO
kinit(1), kdestroy(1), krb5(3)